﻿@model UserManagement.Models.UserInformation

@{
    ViewData["Title"] = "Regsiter";
}

<h2>Regsiter</h2>

<h4>UserInformation</h4>
<hr />
<div ng-app="userInformationApp" ng-controller="userInformationController">
    <div class="col-md-4">
        <form ng-submit="saveUser(user)">
            <div class="form-group">
                <label class="control-label"> First Name</label>
                <input class="form-control" ng-model="user.firstName" required />
            </div>
            <div class="form-group">
                <label class="control-label"> Last Name</label>
                <input class="form-control" ng-model="user.lastName" required />
            </div>
            <div class="form-group">
                <label class="control-label"> Billing Address</label>
                <input class="form-control" ng-model="user.billingAddress" required />
            </div>
            <div class="form-group">
                <label class="control-label"> Delivery Address</label>
                <input class="form-control" ng-model="user.deliveryAddress" required />
            </div>
            <div class="form-group">
                <input type="submit" value="Save" class="btn btn-default" />
            </div>
        </form>
    </div>
</div>
</div>

<div>
    <a asp-action="Index">Back to List</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
